package cn.superdesk.uniorder.dao.entity.organisation;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SysEnterpriseExtAccountingExample {
    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public SysEnterpriseExtAccountingExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNull() {
            addCriterion("service_no is null");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNotNull() {
            addCriterion("service_no is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNoEqualTo(Integer value) {
            addCriterion("service_no =", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotEqualTo(Integer value) {
            addCriterion("service_no <>", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThan(Integer value) {
            addCriterion("service_no >", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThanOrEqualTo(Integer value) {
            addCriterion("service_no >=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThan(Integer value) {
            addCriterion("service_no <", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThanOrEqualTo(Integer value) {
            addCriterion("service_no <=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoIn(List<Integer> values) {
            addCriterion("service_no in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotIn(List<Integer> values) {
            addCriterion("service_no not in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoBetween(Integer value1, Integer value2) {
            addCriterion("service_no between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotBetween(Integer value1, Integer value2) {
            addCriterion("service_no not between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdIsNull() {
            addCriterion("sys_org_id is null");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdIsNotNull() {
            addCriterion("sys_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdEqualTo(Long value) {
            addCriterion("sys_org_id =", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdNotEqualTo(Long value) {
            addCriterion("sys_org_id <>", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdGreaterThan(Long value) {
            addCriterion("sys_org_id >", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdGreaterThanOrEqualTo(Long value) {
            addCriterion("sys_org_id >=", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdLessThan(Long value) {
            addCriterion("sys_org_id <", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdLessThanOrEqualTo(Long value) {
            addCriterion("sys_org_id <=", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdIn(List<Long> values) {
            addCriterion("sys_org_id in", values, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdNotIn(List<Long> values) {
            addCriterion("sys_org_id not in", values, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdBetween(Long value1, Long value2) {
            addCriterion("sys_org_id between", value1, value2, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdNotBetween(Long value1, Long value2) {
            addCriterion("sys_org_id not between", value1, value2, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdIsNull() {
            addCriterion("sys_virt_id is null");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdIsNotNull() {
            addCriterion("sys_virt_id is not null");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdEqualTo(Long value) {
            addCriterion("sys_virt_id =", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdNotEqualTo(Long value) {
            addCriterion("sys_virt_id <>", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdGreaterThan(Long value) {
            addCriterion("sys_virt_id >", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdGreaterThanOrEqualTo(Long value) {
            addCriterion("sys_virt_id >=", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdLessThan(Long value) {
            addCriterion("sys_virt_id <", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdLessThanOrEqualTo(Long value) {
            addCriterion("sys_virt_id <=", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdIn(List<Long> values) {
            addCriterion("sys_virt_id in", values, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdNotIn(List<Long> values) {
            addCriterion("sys_virt_id not in", values, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdBetween(Long value1, Long value2) {
            addCriterion("sys_virt_id between", value1, value2, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdNotBetween(Long value1, Long value2) {
            addCriterion("sys_virt_id not between", value1, value2, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdIsNull() {
            addCriterion("out_org_id is null");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdIsNotNull() {
            addCriterion("out_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdEqualTo(Long value) {
            addCriterion("out_org_id =", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdNotEqualTo(Long value) {
            addCriterion("out_org_id <>", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdGreaterThan(Long value) {
            addCriterion("out_org_id >", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdGreaterThanOrEqualTo(Long value) {
            addCriterion("out_org_id >=", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdLessThan(Long value) {
            addCriterion("out_org_id <", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdLessThanOrEqualTo(Long value) {
            addCriterion("out_org_id <=", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdIn(List<Long> values) {
            addCriterion("out_org_id in", values, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdNotIn(List<Long> values) {
            addCriterion("out_org_id not in", values, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdBetween(Long value1, Long value2) {
            addCriterion("out_org_id between", value1, value2, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdNotBetween(Long value1, Long value2) {
            addCriterion("out_org_id not between", value1, value2, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdIsNull() {
            addCriterion("out_virt_id is null");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdIsNotNull() {
            addCriterion("out_virt_id is not null");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdEqualTo(Long value) {
            addCriterion("out_virt_id =", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdNotEqualTo(Long value) {
            addCriterion("out_virt_id <>", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdGreaterThan(Long value) {
            addCriterion("out_virt_id >", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdGreaterThanOrEqualTo(Long value) {
            addCriterion("out_virt_id >=", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdLessThan(Long value) {
            addCriterion("out_virt_id <", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdLessThanOrEqualTo(Long value) {
            addCriterion("out_virt_id <=", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdIn(List<Long> values) {
            addCriterion("out_virt_id in", values, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdNotIn(List<Long> values) {
            addCriterion("out_virt_id not in", values, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdBetween(Long value1, Long value2) {
            addCriterion("out_virt_id between", value1, value2, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdNotBetween(Long value1, Long value2) {
            addCriterion("out_virt_id not between", value1, value2, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountIsNull() {
            addCriterion("rule_of_account is null");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountIsNotNull() {
            addCriterion("rule_of_account is not null");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountEqualTo(Integer value) {
            addCriterion("rule_of_account =", value, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountNotEqualTo(Integer value) {
            addCriterion("rule_of_account <>", value, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountGreaterThan(Integer value) {
            addCriterion("rule_of_account >", value, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountGreaterThanOrEqualTo(Integer value) {
            addCriterion("rule_of_account >=", value, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountLessThan(Integer value) {
            addCriterion("rule_of_account <", value, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountLessThanOrEqualTo(Integer value) {
            addCriterion("rule_of_account <=", value, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountIn(List<Integer> values) {
            addCriterion("rule_of_account in", values, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountNotIn(List<Integer> values) {
            addCriterion("rule_of_account not in", values, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountBetween(Integer value1, Integer value2) {
            addCriterion("rule_of_account between", value1, value2, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andRuleOfAccountNotBetween(Integer value1, Integer value2) {
            addCriterion("rule_of_account not between", value1, value2, "ruleOfAccount");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthIsNull() {
            addCriterion("day_of_month is null");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthIsNotNull() {
            addCriterion("day_of_month is not null");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthEqualTo(Integer value) {
            addCriterion("day_of_month =", value, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthNotEqualTo(Integer value) {
            addCriterion("day_of_month <>", value, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthGreaterThan(Integer value) {
            addCriterion("day_of_month >", value, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthGreaterThanOrEqualTo(Integer value) {
            addCriterion("day_of_month >=", value, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthLessThan(Integer value) {
            addCriterion("day_of_month <", value, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthLessThanOrEqualTo(Integer value) {
            addCriterion("day_of_month <=", value, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthIn(List<Integer> values) {
            addCriterion("day_of_month in", values, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthNotIn(List<Integer> values) {
            addCriterion("day_of_month not in", values, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthBetween(Integer value1, Integer value2) {
            addCriterion("day_of_month between", value1, value2, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andDayOfMonthNotBetween(Integer value1, Integer value2) {
            addCriterion("day_of_month not between", value1, value2, "dayOfMonth");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodIsNull() {
            addCriterion("account_period is null");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodIsNotNull() {
            addCriterion("account_period is not null");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodEqualTo(Integer value) {
            addCriterion("account_period =", value, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodNotEqualTo(Integer value) {
            addCriterion("account_period <>", value, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodGreaterThan(Integer value) {
            addCriterion("account_period >", value, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodGreaterThanOrEqualTo(Integer value) {
            addCriterion("account_period >=", value, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodLessThan(Integer value) {
            addCriterion("account_period <", value, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodLessThanOrEqualTo(Integer value) {
            addCriterion("account_period <=", value, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodIn(List<Integer> values) {
            addCriterion("account_period in", values, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodNotIn(List<Integer> values) {
            addCriterion("account_period not in", values, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodBetween(Integer value1, Integer value2) {
            addCriterion("account_period between", value1, value2, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andAccountPeriodNotBetween(Integer value1, Integer value2) {
            addCriterion("account_period not between", value1, value2, "accountPeriod");
            return (Criteria) this;
        }

        public Criteria andIsDefaultIsNull() {
            addCriterion("is_default is null");
            return (Criteria) this;
        }

        public Criteria andIsDefaultIsNotNull() {
            addCriterion("is_default is not null");
            return (Criteria) this;
        }

        public Criteria andIsDefaultEqualTo(Boolean value) {
            addCriterion("is_default =", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultNotEqualTo(Boolean value) {
            addCriterion("is_default <>", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultGreaterThan(Boolean value) {
            addCriterion("is_default >", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultGreaterThanOrEqualTo(Boolean value) {
            addCriterion("is_default >=", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultLessThan(Boolean value) {
            addCriterion("is_default <", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultLessThanOrEqualTo(Boolean value) {
            addCriterion("is_default <=", value, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultIn(List<Boolean> values) {
            addCriterion("is_default in", values, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultNotIn(List<Boolean> values) {
            addCriterion("is_default not in", values, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultBetween(Boolean value1, Boolean value2) {
            addCriterion("is_default between", value1, value2, "isDefault");
            return (Criteria) this;
        }

        public Criteria andIsDefaultNotBetween(Boolean value1, Boolean value2) {
            addCriterion("is_default not between", value1, value2, "isDefault");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Boolean value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Boolean value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Boolean value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Boolean value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Boolean value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Boolean value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Boolean> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Boolean> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Boolean value1, Boolean value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Boolean value1, Boolean value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * do_not_delete_during_merge Mon Dec 14 18:15:54 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table sys_enterprise_ext_accounting
     *
     * Mon Dec 14 18:15:54 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}